#!/bin/bash


git_download(){
    git clone https://bitbucket.org/rteyssie/ramses
    cd ramses
    git checkout stable_19_10 # Checkout a stable version
}

tar_download(){
	cd $ramses_dir
	if [[ $HOSTNAME = *"occigen"* ]]; then
		source machines/occigen-bdw/env
		tar zxvf /store/CINES/dci/SHARED/abs/ramses/ramses.tar.gz -C $ramses_dir/.
	elif [[ $HOSTNAME = *"jean-zay"* ]]; then
		source machines/jean-zay-cpu/env
		tar zxvf $SCRATCH/abs/ramses/ramses.tar.gz -C $ramses_dir/.
	elif [[ $HOSTNAME = *"irene"* ]]; then
		source machines/irene-amd/env
		tar zxvf  $CCCSCRATCHDIR/abs/ramses/ramses.tar.gz -C $ramses_dir/.
	else
		echo "Hostname not recognized: abort"
		exit 1
	fi
}
cd $ramses_dir
tar_download
